{ pkgs, lib, ... }:

{
  imports = [
    # Modules
    ../../modules/home/default.nix
  ];

  config = {
    home = {
      username = "kiiwy";
      homeDirectory = "/home/kiiwy";
    };

    settings = {
      applications.common.enable = true;
      applications.alacritty.enable = false;
      applications.devenv.enable = false;
      applications.firefox.enable = true;
      applications.git.enable = true;
      applications.helix.enable = true;
      applications.zsh.enable = true;
      applications.ssh.enable = true;
      applications.thunderbird.enable = false;
      applications.yazi.enable = false;
      applications.zellij.enable = false;

      services.nextcloud-sync.enable = false;

      theming.fonts.enable = true;
      theming.stylix.enable = true;
      theming.stylix.wallpaper = "kiiwy.png";
      theming.stylix.theme = "theme";

      desktop-environments.hyprland.enable = false;
    };

    home.packages = with pkgs; [
      # Desktop Applications
      prismlauncher
      signal-desktop
      unstable.vesktop
      unstable.prusa-slicer
      blender

      brave

      # Office
      libreoffice
    ];

    # Enable home-manager
    programs.home-manager.enable = true;

    home.stateVersion = "24.05";
  };
}
